NavigableMapConfig.ClassConversionException (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.config

## [Java] Class ClassConversionException

- org.grails.config.NavigableMapConfig.ClassConversionException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMapConfig.ClassConversionException (java.lang.Class<?> actual, java.lang.Class<?> expected)`
    `NavigableMapConfig.ClassConversionException (java.lang.String actual, java.lang.Class<?> expected, java.lang.Exception ex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.convert.ConversionException` | `org.springframework.core.convert.ConversionException#getRootCause(), org.springframework.core.convert.ConversionException#getMostSpecificCause(), org.springframework.core.convert.ConversionException#contains(java.lang.Class), org.springframework.core.convert.ConversionException#getMessage(), org.springframework.core.convert.ConversionException#printStackTrace(), org.springframework.core.convert.ConversionException#printStackTrace(java.io.PrintWriter), org.springframework.core.convert.ConversionException#printStackTrace(java.io.PrintStream), org.springframework.core.convert.ConversionException#fillInStackTrace(), org.springframework.core.convert.ConversionException#getCause(), org.springframework.core.convert.ConversionException#initCause(java.lang.Throwable), org.springframework.core.convert.ConversionException#toString(), org.springframework.core.convert.ConversionException#getLocalizedMessage(), org.springframework.core.convert.ConversionException#getStackTrace(), org.springframework.core.convert.ConversionException#setStackTrace([Ljava.lang.StackTraceElement;), org.springframework.core.convert.ConversionException#addSuppressed(java.lang.Throwable), org.springframework.core.convert.ConversionException#getSuppressed(), org.springframework.core.convert.ConversionException#wait(long, int), org.springframework.core.convert.ConversionException#wait(long), org.springframework.core.convert.ConversionException#wait(), org.springframework.core.convert.ConversionException#equals(java.lang.Object), org.springframework.core.convert.ConversionException#hashCode(), org.springframework.core.convert.ConversionException#getClass(), org.springframework.core.convert.ConversionException#notify(), org.springframework.core.convert.ConversionException#notifyAll()`
    `class org.springframework.core.NestedRuntimeException` | `org.springframework.core.NestedRuntimeException#getRootCause(), org.springframework.core.NestedRuntimeException#getMostSpecificCause(), org.springframework.core.NestedRuntimeException#contains(java.lang.Class), org.springframework.core.NestedRuntimeException#getMessage(), org.springframework.core.NestedRuntimeException#printStackTrace(), org.springframework.core.NestedRuntimeException#printStackTrace(java.io.PrintWriter), org.springframework.core.NestedRuntimeException#printStackTrace(java.io.PrintStream), org.springframework.core.NestedRuntimeException#fillInStackTrace(), org.springframework.core.NestedRuntimeException#getCause(), org.springframework.core.NestedRuntimeException#initCause(java.lang.Throwable), org.springframework.core.NestedRuntimeException#toString(), org.springframework.core.NestedRuntimeException#getLocalizedMessage(), org.springframework.core.NestedRuntimeException#getStackTrace(), org.springframework.core.NestedRuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), org.springframework.core.NestedRuntimeException#addSuppressed(java.lang.Throwable), org.springframework.core.NestedRuntimeException#getSuppressed(), org.springframework.core.NestedRuntimeException#wait(long, int), org.springframework.core.NestedRuntimeException#wait(long), org.springframework.core.NestedRuntimeException#wait(), org.springframework.core.NestedRuntimeException#equals(java.lang.Object), org.springframework.core.NestedRuntimeException#hashCode(), org.springframework.core.NestedRuntimeException#getClass(), org.springframework.core.NestedRuntimeException#notify(), org.springframework.core.NestedRuntimeException#notifyAll()`

- - ### Constructor Detail

    - #### public NavigableMapConfig.ClassConversionException(java.lang.Class<?> actual, java.lang.Class<?> expected)

    - #### public NavigableMapConfig.ClassConversionException(java.lang.String actual, java.lang.Class<?> expected, java.lang.Exception ex)